# Uses of Class
java.nio.channels.FileChannel

Packages that use FileChannel
Package
Description
java.io
Provides for system input and output through data streams, serialization and the file system.
java.nio.channels
Defines channels, which represent connections to entities that are capable of performing I/O operations, such as files and sockets; defines selectors, for multiplexed, non-blocking I/O operations.
java.nio.file.spi
Service-provider classes for the `java.nio.file` package.

## Uses of FileChannel in java.io

Methods in java.io that return FileChannel
Modifier and Type
Method
Description
`FileChannel`
FileInputStream.`getChannel()`
Returns the unique `FileChannel` object associated with this file input stream.
`FileChannel`
FileOutputStream.`getChannel()`
Returns the unique `FileChannel` object associated with this file output stream.
`final FileChannel`
RandomAccessFile.`getChannel()`
Returns the unique `FileChannel` object associated with this file.

## Uses of FileChannel in java.nio.channels

Methods in java.nio.channels that return FileChannel
Modifier and Type
Method
Description
`final FileChannel`
FileLock.`channel()`
Returns the file channel upon whose file this lock was acquired.
`static FileChannel`
FileChannel.`open(Path path, OpenOption... options)`
Opens or creates a file, returning a file channel to access the file.
`static FileChannel`
FileChannel.`open(Path path, Set<? extends OpenOption> options, FileAttribute<?>... attrs)`
Opens or creates a file, returning a file channel to access the file.
`abstract FileChannel`
FileChannel.`position(long newPosition)`
Sets this channel's file position.
`abstract FileChannel`
FileChannel.`truncate(long size)`
Truncates this channel's file to the given size.
Constructors in java.nio.channels with parameters of type FileChannel
Modifier
Constructor
Description
`protected`
`FileLock(FileChannel channel, long position, long size, boolean shared)`
Initializes a new instance of this class.

## Uses of FileChannel in java.nio.file.spi

Methods in java.nio.file.spi that return FileChannel
Modifier and Type
Method
Description
`FileChannel`
FileSystemProvider.`newFileChannel(Path path, Set<? extends OpenOption> options, FileAttribute<?>... attrs)`
Opens or creates a file for reading and/or writing, returning a file channel to access the file.